<?php

/**
 * E2pdf Debug Model
 * 
 * @copyright  Copyright 2017 https://e2pdf.com
 * @license    GPL v2
 * @version    1
 * @link       https://e2pdf.com
 * @since      0.00.01
 */
if (!defined('ABSPATH')) {
    die('Access denied.');
}

class Model_E2pdf_Debug extends Model_E2pdf_Model {

    private $api = null;
    private $debug = null;

    /**
     * On init
     * Set Domain
     * Set API Key
     */
    public function __construct() {

        parent::__construct();
        $this->api = new Model_E2pdf_Api();
        $this->debug = new stdClass();
        $this->debug->domain = $this->api->get_domain();
    }

    /**
     * Get Debug Option
     * 
     * @param string $key - Key
     * 
     * @return mixed - Option value|false
     */
    public function get($key) {
        if (isset($this->debug->$key)) {
            return $this->debug->$key;
        } else {
            return false;
        }
    }

}
